/**
 * Copyright (C) 2001-2005 France Telecom R&D
 */
package org.objectweb.medor.expression.lib;

import org.objectweb.jorm.type.api.PType;
import org.objectweb.medor.expression.api.CalculatedParameterOperand;
import org.objectweb.medor.expression.api.ParameterOperand;

public abstract class AbstractCalculatedParameterOperand extends BasicParameterOperand
        implements CalculatedParameterOperand {

    public AbstractCalculatedParameterOperand() {
        super();
    }
    public AbstractCalculatedParameterOperand(BasicParameterOperand po) {
        super(po);
    }

    public AbstractCalculatedParameterOperand(PType type, String name) {
        super(type, name);
    }

    protected ParameterOperand getPO(ParameterOperand[] pos) {
        final int typeCode = getType().getTypeCode();
        for (int i = 0; i < pos.length; i++) {
            if (pos[i] != null
                    && name.equals(pos[i].getName())
                    && pos[i].getType().getTypeCode() == typeCode) {
                return pos[i];
            }
        }
        return null;
    }
}
